# group.id tells the connect-X worker node which Connect cluster it should join upon startup. All other worker nodes with the same group.id value belong to the same Connect cluster.
CONNECT_GROUP_ID= connect-cluster-group
# TODO three internal topics the worker nodes use to keep in sync with one another. The names for these topics need to be unique for each Connect cluster.
# topic names should be per DB, eg dine-in-connect-configs, dine-in-connect-offset and dine-in-connect-status
CONNECT_CONFIG_STORAGE_TOPIC= docker-connect-configs
CONNECT_OFFSET_STORAGE_TOPIC= docker-connect-offsets
CONNECT_STATUS_STORAGE_TOPIC= docker-connect-status
# TODO REPLICATION_FACTOR was 3 in confluent-cloud example. For local kafka broker it must be 1. Check on AWS. (-1 is broker defaults)
# more info: https://docs.confluent.io/platform/current/connect/userguide.html#kconnect-internal-topics
CONNECT_CONFIG_STORAGE_REPLICATION_FACTOR= 1
CONNECT_STATUS_STORAGE_REPLICATION_FACTOR= 1
CONNECT_OFFSET_STORAGE_REPLICATION_FACTOR= 1
CONNECT_OFFSET_STORAGE_PARTITIONS= -1
CONNECT_STATUS_STORAGE_PARTITIONS= -1
#The config.storage internal topic must always have exactly one partition. This is why there is no property.

CONNECT_OFFSET_FLUSH_INTERVAL_MS= 10000
CONNECT_PLUGIN_PATH= "/usr/share/java,/usr/share/confluent-hub-components"
CONNECT_CONNECTIONS_MAX_IDLE_MS= 180000
CONNECT_METADATA_MAX_AGE_MS= 180000
CONNECT_AUTO_CREATE_TOPICS_ENABLE= "true"
CONNECT_KEY_CONVERTER= "org.apache.kafka.connect.json.JsonConverter"
CONNECT_VALUE_CONVERTER= "org.apache.kafka.connect.json.JsonConverter"
# We can also configure SCHEMA_REGISTRY for above converters
# https://docs.confluent.io/platform/current/schema-registry/connect.html#json-schema
#      CONNECT_VALUE_CONVERTER_SCHEMAS_ENABLE: "true"
#      CONNECT_VALUE_CONVERTER_SCHEMA_REGISTRY_URL: $SCHEMA_REGISTRY_URL
#      CONNECT_VALUE_CONVERTER_BASIC_AUTH_CREDENTIALS_SOURCE: $BASIC_AUTH_CREDENTIALS_SOURCE
#      CONNECT_VALUE_CONVERTER_SCHEMA_REGISTRY_BASIC_AUTH_USER_INFO: $SCHEMA_REGISTRY_BASIC_AUTH_USER_INFO
# and similar for the key.converter: CONNECT_KEY_CONVERTER_...
CONNECT_LOG4J_APPENDER_STDOUT_LAYOUT_CONVERSIONPATTERN= "[%d] %p %X{connector.context}%m (%c=%L)%n"
CONNECT_LOG4J_ROOT_LOGLEVEL= INFO
CONNECT_LOG4J_LOGGERS= 'org.apache.kafka.connect.runtime.rest=WARN,org.reflections=ERROR'
